Bug 170221 - Unable to start hp-toolbox
Unable to start hp-toolbox
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-09 07:39 EDT by Daniel Malmgren
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-22 04:44:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Malmgren 2005-10-09 07:39:59 EDT
Description of problem:
I can't seem to start hp-toolbox as of lately.

Version-Release number of selected component (if applicable):
hplip-0.9.5-3

How reproducible:
100%

Steps to Reproduce:
1. type "hp-toolbox" in a terminal
  
Actual results:
Traceback (most recent call last):
  File "/usr/bin/hp-toolbox", line 41, in ?
    import base.async_qt as async
  File "/usr/share/hplip/base/async_qt.py", line 85, in ?
    from qt import *
Exception: unknown


Additional info:
I also experience trouble printing. Don't know if it's related. It worked before
upgrading to last hplip...
Comment 1 Tim Waugh 2005-10-13 05:38:00 EDT
Let's see if 0.9.6-2 fixes it when it shows up in rawhide.
Comment 2 Daniel Malmgren 2005-10-16 04:02:03 EDT
Nope. I'm on 0.9.6-2 now, and I get the exact same output.

Printing works nice now though, my problems printing weren't hplip related.
Comment 3 Tim Waugh 2005-10-17 06:59:31 EDT
What does this say?:

rpm -q PyQt
rpm -V PyQt
Comment 4 Daniel Malmgren 2005-10-22 04:44:05 EDT
Yep, you're right. I'd forgotten to update PyQt. After an upgrade it works
again. Thanks!

Note You need to log in before you can comment on or make changes to this bug.